Subject: bug#1177: 23.0.60; cc-mode cannot recognize pointer array declaretions

From: Glenn Morris <[email-masked]>
Date: Mon, 03 Oct 2011 15:25:17 -0400

Feng Li wrote:

> cc-mode cannot fontify the following code correctly, where
> 'prUTF16Char*' should have the type face and sampleRateStrings should
> have the variable face, but they both are displayed in regular text
> color.
>
> prUTF16Char*            sampleRateStrings[] = {L"48000Hz"};

I don't know much about cc-mode, but it works if you add an appropriate
entry to `c-font-lock-extra-types'. Maybe this is how it is supposed to
work?